#tip-progress {
    display: none;
    justify-content: center;
    align-items: center;
    transition: opacity 0.5s ease;
}

#tip-progress .bar {
    display: flex;
    align-items: center;
    gap: 10px;
    max-width: 400px;
    min-width: 300px;
    position: relative;
    background-color: lab(16.1051% -1.18239 -11.7533);
    border-radius: 4px;
    overflow: visible;
    /* To allow glow to be visible */
}

#tip-progress-fill {
    height: 51px;
    width: 0%;
    background: linear-gradient(90deg, rgba(0, 128, 0, 0.5) 0%, rgba(0, 128, 0, 1) 100%);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: width 0.4s ease-out;
    border-radius: 10px;
}

#tip-progress .bulb {
    position: absolute;
    left: -50px;
    top: 50%;
    transform: translateY(-50%) rotate(-10deg);
    font-size: 70px;
    filter: grayscale(100%);
    transition: filter 0.3s ease;
}

#tip-progress .label {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#tip-progress .count {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%) translateX(50%);
    padding: 4px 10px 2px;
    background-color: #080808d5;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0px;
}

#tip-progress .sep {
    display: none;
}

.tip-activated {
    animation: tip-trigger 0.8s ease-out forwards;
}

@keyframes tip-trigger {
    0% {
        transform: scale(1);
    }

    25% {
        transform: scale(1.08);
        box-shadow: 0 0 20px 5px rgba(255, 255, 0, 0.6);
    }

    50% {
        transform: scale(1.08);
        box-shadow: 0 0 40px 10px rgba(255, 255, 0, 0.8);
    }

    75% {
        transform: scale(1.05);
        box-shadow: 0 0 20px 5px rgba(255, 255, 0, 0.4);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255, 255, 0, 0);
    }
}